get.smart.prediction {VGAM} | R Documentation

## Retrieves “.smart.prediction”

### Description

Retrieves `.smart.prediction` from `smartpredenv`.

### Usage

    get.smart.prediction()

### Details

A smart modelling function such as `lm` allows smart functions such as `sm.bs` to write to a data structure called `.smart.prediction` in `smartpredenv`. At the end of fitting, `get.smart.prediction` retrieves this data structure. It is then attached to the object, and used for prediction later.

### Value

Returns with the list `.smart.prediction` from `smartpredenv`.

### See Also

`get.smart`, `lm`.

### Examples

    ## Not run:
    fit$smart <- get.smart.prediction()  # Put at the end of lm()

    ## End(Not run)

[Package VGAM version 1.0-4 Index]